with GNATCOM.Dispinterface;

package MSHTML.IHTMLIsIndexElement_Object is

   type IHTMLIsIndexElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_prompt
     (This : IHTMLIsIndexElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_prompt
     (This : IHTMLIsIndexElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_action
     (This : IHTMLIsIndexElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_action
     (This : IHTMLIsIndexElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLIsIndexElement_Object;

